<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>children</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="children">
<span id="ext-children"></span>
<h1 class="title">children</h1>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#description" id="toc-entry-1">Description</a></li>
<li><a class="reference internal" href="#commands" id="toc-entry-2">Commands</a><ul>
<li><a class="reference internal" href="#change-navigation" id="toc-entry-3">Change navigation</a></li>
</ul>
</li>
</ul>
</div>
<p>command to display child changesets (DEPRECATED)</p>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>This extension is deprecated. You should use <a class="reference external" href="hg-log.html"><tt class="docutils literal">hg log <span class="pre">-r</span>
&quot;children(REV)&quot;</tt></a> instead.</p>
</div>
<div class="section" id="commands">
<h1><a class="toc-backref" href="#contents">Commands</a></h1>
<div class="section" id="change-navigation">
<h2><a class="toc-backref" href="#contents">Change navigation</a></h2>
<div class="section" id="children-1">
<h3>children</h3>
<p>show the children of the given or working directory revision:</p>
<pre class="literal-block">
hg children [-r REV] [FILE]
</pre>
<p>Print the children of the working directory's revisions. If a
revision is given via -r/--rev, the children of that revision will
be printed. If a file argument is given, revision in which the
file was last changed (after the working directory revision or the
argument to --rev if given) is printed.</p>
<p>Please use <a class="reference external" href="hg-log.html"><tt class="docutils literal">hg log</tt></a> instead:</p>
<pre class="literal-block">
hg children =&gt; hg log -r &quot;children(.)&quot;
hg children -r REV =&gt; hg log -r &quot;children(REV)&quot;
</pre>
<p>See <a class="reference external" href="hg-log.html"><tt class="docutils literal">hg help log</tt></a> and <a class="reference external" href="hg.1.html#revsets.children"><tt class="docutils literal">hg help revsets.children</tt></a>.</p>
<p>Options:</p>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-r</span>, <span class="option">--rev <var>&lt;REV&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>show children of the specified revision (default: .)</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">--style <var>&lt;STYLE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>display using template map file (DEPRECATED)</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-T</span>, <span class="option">--template <var>&lt;TEMPLATE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>display with template</td></tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</body>
</html>
